#include "c-config-parser.h"
#include <stdio.h>

void c_config_run(const char* filename, int* status) {
    (*status) = config_run(filename);
}

void c_config_is_varname(const char* name, int* status) {
    (*status) = config_is_varname(name);
}

void c_config_get_int(const char* name, int* value, int* status) {
    (*status) = config_get_int(name, value);
}
void c_config_get_float(const char* name, float* value, int* status) {
    (*status) = config_get_float(name, value);
}
void c_config_get_double(const char* name, double* value, int* status) {
    (*status) = config_get_double(name, value);
}

void c_config_get_string_len(const char* name, int *length) {
    (*length) =  config_get_string_len(name);
}

void c_config_get_string_unsafe(const char* name, 
    char* value, int* status) 
{
    (*status) = config_get_string_unsafe(name, value);
}
