#pragma once
#include <cstddef>
#include "sfx-template-parameters.h"
#include "sfx-data.h"

template<typename T, MemType memIn, MemType memOut, MemType RunMem >
class ModelBase
{
public:
    sfxDataVecTypeC* res_sfx;
    sfxDataVecTypeC sfx;
    meteoDataVecTypeC meteo;

    int grid_size;
    bool ifAllocated;
    size_t allocated_size;
    
    ModelBase(sfxDataVecTypeC* sfx,
                meteoDataVecTypeC* meteo,
                const int grid_size);
    ~ModelBase();
};