#include <stdlib.h>
#include <stdio.h>
#include "cxx-sfx-model-compute-flux.h"
// -------------------------------------------------------------------------- //

void c_esm_compute_flux (struct sfxDataVecTypeC* sfx,
                                 struct meteoDataVecTypeC* meteo,
                                 const struct sfx_esm_param_C* model_param, 
                                 const struct sfx_surface_param* surface_param,
                                 const struct sfx_esm_numericsType_C* numerics,
                                 const struct sfx_phys_constants* constants,
                                 const int *grid_size)
{
  esm_compute_flux(sfx, meteo, model_param, surface_param, numerics, constants, *grid_size); 
}

void c_sheba_compute_flux (struct sfxDataVecTypeC* sfx,
                                 struct meteoDataVecTypeC* meteo,
                                 const struct sfx_sheba_param_C* model_param, 
                                 const struct sfx_surface_param* surface_param,
                                 const struct sfx_sheba_numericsType_C* numerics,
                                 const struct sfx_phys_constants* constants,
                                 const int *grid_size)
{
  sheba_compute_flux(sfx, meteo, model_param, surface_param, numerics, constants, *grid_size); 
}

void c_sheba_noit_compute_flux (struct sfxDataVecTypeC* sfx,
                                 struct meteoDataVecTypeC* meteo,
                                 const struct sfx_sheba_noit_param_C* model_param, 
                                 const struct sfx_surface_param* surface_param,
                                 const struct sfx_sheba_noit_numericsType_C* numerics,
                                 const struct sfx_phys_constants* constants,
                                 const int *grid_size)
{
  sheba_noit_compute_flux(sfx, meteo, model_param, surface_param, numerics, constants, *grid_size); 
}